## org.jfree.chart.renderer
Class GrayPaintScale

    java.lang.Object
      org.jfree.chart.renderer.GrayPaintScale

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PaintScale, org.jfree.util.PublicCloneable

    public class GrayPaintScale

extends java.lang.Object
implements PaintScale, org.jfree.util.PublicCloneable, java.io.Serializable

A paint scale that returns shades of gray.

Since:
  1.0.4
See Also:
  Serialized Form

Constructor Summary
`GrayPaintScale()` Creates a new `GrayPaintScale` instance with default values.
`GrayPaintScale(double lowerBound, double upperBound)` Creates a new paint scale for values in the specified range.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this `GrayPaintScale` instance.
`boolean` `equals(java.lang.Object obj)` Tests this `GrayPaintScale` instance for equality with an arbitrary object.
`double` `getLowerBound()` Returns the lower bound.
`java.awt.Paint` `getPaint(double value)` Returns a paint for the specified value.
`double` `getUpperBound()` Returns the upper bound.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrayPaintScale

    public GrayPaintScale()

  Creates a new `GrayPaintScale` instance with default values.

### GrayPaintScale

    public GrayPaintScale(double lowerBound,
                          double upperBound)

  Creates a new paint scale for values in the specified range.

  Parameters:
    `lowerBound` - the lower bound.
    `upperBound` - the upper bound.
  Throws:
    `java.lang.IllegalArgumentException` - if `lowerBound` is not less than `upperBound`.

Method Detail

### getLowerBound

    public double getLowerBound()

  Returns the lower bound.

  Specified by:
    `getLowerBound` in interface `PaintScale`
  Returns:
    The lower bound.
  See Also:
    `getUpperBound()`

### getUpperBound

    public double getUpperBound()

  Returns the upper bound.

  Specified by:
    `getUpperBound` in interface `PaintScale`
  Returns:
    The upper bound.
  See Also:
    `getLowerBound()`

### getPaint

    public java.awt.Paint getPaint(double value)

  Returns a paint for the specified value.

  Specified by:
    `getPaint` in interface `PaintScale`
  Parameters:
    `value` - the value (must be within the range specified by the lower and upper bounds for the scale).
  Returns:
    A paint for the specified value.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this `GrayPaintScale` instance for equality with an arbitrary object. This method returns `true` if and only if:
  - `obj` is not `null`;
  - `obj` is an instance of `GrayPaintScale`;

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this `GrayPaintScale` instance.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning this instance.